package com.gx.obe.template.converter;

import java.util.Optional;

import com.gx.obe.dynamicview.converter.tostirng.ToStringConverter;
import com.gx.obe.template.enumeration.TemplateTypeEnum;

public class TemplateTypeToString implements ToStringConverter {
	
	public String convert(Object object) {
		return Optional.ofNullable(object)
				.map(String::valueOf)
				.map(TemplateTypeEnum::getByKey)
				.map(TemplateTypeEnum::getValue)
				.orElse("");
	}
	
}
