package com.gx.obe.template.converter;

import java.util.Optional;

import com.gx.obe.dynamicview.converter.tostirng.ToStringConverter;

public class DefaultTypeToString implements ToStringConverter {
	
	@Override
	public String convert(Object object) {
		return Optional.ofNullable(object)
				.map(String::valueOf)
				.map(Boolean::valueOf)
				.map(t -> t ? "是" : "否")
				.orElse("");
	}
	
}
