package com.gx.obe.template.vo;

import java.util.List;

import com.gx.obe.dynamicview.annotation.FormItem;
import com.gx.obe.dynamicview.annotation.TableCol;
import com.gx.obe.template.converter.DefaultTypeToString;

public class ProjectTypeVo {
	
	private String id;
	
	@FormItem("模板分类")
	private boolean fixedFactor;
	
	@TableCol(value = "是否为默认模板", type = DefaultTypeToString.class)
	@FormItem("默认模板")
	private boolean defaultType;
	
	@FormItem("代理机构")
	private List<String> agentKeyList;
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public boolean isFixedFactor() {
		return fixedFactor;
	}
	
	public void setFixedFactor(boolean fixedFactor) {
		this.fixedFactor = fixedFactor;
	}
	
	public List<String> getAgentKeyList() {
		return agentKeyList;
	}
	
	public void setAgentKeyList(List<String> agentKeyList) {
		this.agentKeyList = agentKeyList;
	}

	public boolean isDefaultType() {
		return defaultType;
	}

	public void setDefaultType(boolean defaultType) {
		this.defaultType = defaultType;
	}
	
}
